#pragma once
#include "Texture.h"

class OrbitingObject {
public:
	OrbitingObject(const Vector2f& orbit, float distance, float speed, Texture* texture, float offset = 0);

	void Update(float elapsedSecs);
	void Draw() const;


private:
	Texture* m_Texture;
	Vector2f m_Position;
	Vector2f m_Orbit;
	float m_Distance;
	float m_Speed;

	float m_currentCycle{ 0 };
	
};
